Fields permission

2024-09-11 13:32 - Ayden Cho

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

It is not working for "Fields permission" on Custom fields.

in the menu "Fields permission",

I was changed to "read-only" for some roles, but the user can edit the field.

Environment:

Redmine version                5.1.2.stable

Ruby version                   3.2.4-p170 (2024-04-23) [x86_64-linux]

Rails version                  6.1.7.7

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

History

#1 - 2024-09-11 13:35 - Ayden Cho

for "Fields permission" on Custom fields.

#2 - 2024-09-12 02:24 - Go MAEDA

- Subject changed from Filelds per to Filelds permission

If the user is an administrator, the user can edit the field even if the field is set as "Read-only".

It is the expected behavior.

#3 - 2024-09-12 05:49 - Ayden Cho

Ayden Cho wrote in #note-1:

for "Fields permission" on Custom fields.

 The user is not an administrator...

#4 - 2024-09-12 09:12 - Ayden Cho

The user is auther...

#5 - 2024-09-12 14:57 - Holger Just

- Subject changed from Filelds permission to Fields permission

- Status changed from New to Needs feedback

Redmine applies the most-open rules for fields permissions to users.

If a user has multiple roles in a project, they can edit the field if any of the roles allows editing the field. Similarly, they can leave the field unset if any

of the user's roles does not enforce the field to be required.

Please check all of the roles for the user in the project. If you still observe the issue, please provide detailed information about the roles of the user in

the project, details about the fields permission settings for all of these roles, as well as details about the specific issue (given that the permissions are

specific to a specific tracker and status).
#6 - 2024-12-29 02:25 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
